Package org.springframework.web.servlet.mvc.method.annotation

# Class PathVariableMapMethodArgumentResolver

java.lang.Object
org.springframework.web.servlet.mvc.method.annotation.PathVariableMapMethodArgumentResolver

All Implemented Interfaces:
  `org.springframework.web.method.support.HandlerMethodArgumentResolver`

public class PathVariableMapMethodArgumentResolver extends Object implements org.springframework.web.method.support.HandlerMethodArgumentResolver
Resolves `Map` method arguments annotated with `@PathVariable` where the annotation does not specify a path variable name. The resulting `Map` argument is a copy of all URI template name-value pairs.

Since:
  3.2
Author:
  Rossen Stoyanchev
See Also:
  - `PathVariableMethodArgumentResolver`

## Constructor Summary

Constructors
Constructor
Description
`PathVariableMapMethodArgumentResolver()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`resolveArgument(org.springframework.core.MethodParameter parameter, org.springframework.web.method.support.ModelAndViewContainer mavContainer, org.springframework.web.context.request.NativeWebRequest webRequest, org.springframework.web.bind.support.WebDataBinderFactory binderFactory)`
Return a Map with all URI template variables or an empty map.
`boolean`
`supportsParameter(org.springframework.core.MethodParameter parameter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PathVariableMapMethodArgumentResolver

public PathVariableMapMethodArgumentResolver()

## Method Details

### supportsParameter

public boolean supportsParameter(org.springframework.core.MethodParameter parameter)

Specified by:
  `supportsParameter` in interface `org.springframework.web.method.support.HandlerMethodArgumentResolver`

### resolveArgument

public Object resolveArgument(org.springframework.core.MethodParameter parameter, @Nullable org.springframework.web.method.support.ModelAndViewContainer mavContainer, org.springframework.web.context.request.NativeWebRequest webRequest, @Nullable org.springframework.web.bind.support.WebDataBinderFactory binderFactory) throws Exception
Return a Map with all URI template variables or an empty map.

Specified by:
  `resolveArgument` in interface `org.springframework.web.method.support.HandlerMethodArgumentResolver`
Throws:
  `Exception`